TYPO3.Flow - Bug # 47236

Status: Needs Feedback Priority: Should have
Author: Philipp Maier Category:
Created: 2013-04-15 Assigned To:
Updated: 2014-02-14 Due date:
PHP Version: 5.3

Has patch: No

Complexity:

Affected Flow version: Git master

Subject: Error at offset 6279 of 6338

Description

Hi,

each time | clear the cache with  flow:cache:flush --force

and reload, I'm first redirected to the login page (good) but then following error is thrown.

#1: Notice: unserialize() [<a href="function.unserialize'>function.unserialize</a>]: Error at offset 6279 of 6338 bytes in
/path/to/flow/Packages/Framework/TYPQO3.Flow/Classes/TYPQO3/Flow/Cache/Frontend/VariableFrontend.php line 84
After clearing the cache again, the error is gone and | can view the login page and continue.

I've absolutely no clue what causes this.

History

#1 - 2013-05-21 13:14 - Robert Lemke

- Status changed from New to Needs Feedback

Which Cache Backend(s) do you use? Anything else than FileBackend?

Can you provide a small package / setup / steps which reproduce this bug?

#2 - 2013-07-12 19:34 - Daniel Ostmann

Exactly the same. On developement machine it runs pretty well without any errors. When mirror it to the live machine i get this error.

| think it is an issue regarding the machine.

PHP 5.3.2-1ubuntu4.19 with Suhosin-Patch (cli) (built: Mar 11 2013 15:23:48)

Copyright (c) 1997-2009 The PHP Group

Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies

(I can't get more infos but phpinfo() if wanted)

#3 - 2013-07-12 21:15 - Jacob Floyd

@Daniel

PHP 5.3.2 is really old. What version are you running in development?
#4 - 2013-07-12 21:50 - Daniel Ostmann

Mmh... Very old indeed. My delevopment server is PHP 5.4.4.

#5 - 2013-07-12 22:17 - Daniel Ostmann

Could it be a charset issue?

#6 - 2013-07-12 22:37 - Daniel Ostmann

Seems like a session issue. After a while the session was deleted and now it works. I'll keep in track.

#7 - 2013-07-12 22:54 - Daniel Ostmann

Mmbh. | logged out and the error occurs again...

#8 - 2013-07-12 23:01 - Daniel Ostmann
What about this:
It can also happen if you are only using cookies for storing session data and the (serialized) data exceeds the 4k max that cookies can store.

It breaks the serialized array being stored as the string gets truncated, so it can’t unserialize it.

Found in http://ellislab.com/forums/viewthread/134524/#1038212

#9 - 2013-08-07 14:25 - Daniel Ostmann

Please take a look at #45407.

Changing the database driver settings solved the problem for me!

#10 - 2013-08-08 10:55 - Daniel Ostmann

Sorry, it didn't solve my problem...

#11 - 2013-11-05 16:39 - Irene Hoppner

Seems to be a server settings topic. | have the same problem reproducable on my local machine, but not on the remote server.

#12 - 2013-11-05 17:48 - Irene Héppner

| could isolate it a bit more: The problem occurs with the native php serialization, not with igbinary.

The mentioned position of the error is the reference (e.g. r:24) to the parentRequest object of the ActionRequest that is referenced somewhere inside
http://ellislab.com/forums/viewthread/134524/#1038212

the security context. | guess that referencing is causing problems...

#13 - 2014-02-14 09:35 - Philipp Maier

I've not had this one in months now.
